Your AccountUpdate Your Account

Update Your Account

Update your account information, including your email and password.

curl -X PUT "https://api.datafiniti.co/v4/account" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "first_name": "Shawn"
}'
{
  "email": "user@example.com",
  "first_name": "John Doe",
  "last_name": "John Doe",
  "num_credits_used": 42,
  "business_credits_allotted": 42,
  "business_credits_used": 42,
  "people_credits_allotted": 42,
  "people_credits_used": 42,
  "product_credits_allotted": 42,
  "product_credits_used": 42,
  "property_credits_allotted": 42,
  "property_credits_used": 42
}
PUT
/account
PUT
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Content-Typestring
Required

The media type of the request body

Options: application/json
emailstring

New email address

Format: email
passwordstring

New password

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Body

application/json
emailstring

New email address

passwordstring

New password

Responses

emailstring

Account email address

first_namestring

First name

last_namestring

Last name

num_credits_usedinteger

Total credits used (legacy plans)

business_credits_allottedinteger

Business data credits allotted

business_credits_usedinteger

Business data credits used

people_credits_allottedinteger

People data credits allotted

people_credits_usedinteger

People data credits used

product_credits_allottedinteger

Product data credits allotted

product_credits_usedinteger

Product data credits used

property_credits_allottedinteger

Property data credits allotted

property_credits_usedinteger

Property data credits used

This allows you to update your account information, including your email and password.

If you update your email or password, we'll send you an email to your original email address to tell you about it.